## trunk?format=zip&old=24&old_path=%2F

=== ETSI-Testsuites/ETSI_auto_IOT/codec/c++/Makefile ===

#T3DK_TTCN_SOURCES	= ../../ttcn/LibSip_SIPTypesAndValues.ttcn ../../ttcn/LibSip_SDPTypes.ttcn
T3DK_TTCN_SOURCES	= $(wildcard ../validation/*.ttcn)

T3DK_ROOT_MODULE	= TestExecution

T3DK_C_SOURCES		= $(wildcard *.c)

T3DK_CXX_SOURCES	= $(wildcard *.cpp)

T3DK_CDGEN_HEADER	= codec.h

T3DK_CODETS		= $(wildcard *_codets.h *_codets.cpp)

T3DK_LIBS		= -lboost_regex$(if $(shell uname -o | grep Cygwin),-gcc-mt,-mt)

CPPFLAGS		= -I.

CC			= gcc

CXX			= g++

CFLAGS			= -g 

CXXFLAGS		= -g

include $(shell t3devkit-config --mk)

=== ETSI-Testsuites/ETSI_auto_IOT/adapter/src/Dispatcher/Makefile ===

CC=		g++
CPPFLAGS=	-g -I. -I.. -I/sw/include -DDISPATCH_DEBUG
LDFLAGS=	-L/sw/lib -lboost_thread

BIN=		test
SOURCES=	tmp/test.cpp \
		DispatchInfo.cpp \
		$(wildcard *Dispatcher.cpp) \
		$(wildcard *Dissector.cpp) \
		$(wildcard *Factory.cpp) \
		$(wildcard ../Logger/*.cpp) 

OBJECTS=	$(SOURCES:.cpp=.o) 

all: 		$(BIN) 

.cpp.o:
	$(CC) $(CPPFLAGS) -c $< -o $@

test:	${OBJECTS}
	$(CC) $(LDFLAGS) -o $@ $^

clean:
	rm *.o tmp/*.o test

=== ports/net/macathena-standard/Portfile ===
# $Id$
PortSystem		1.0

name			macathena-standard
version			1
categories		net
maintainers		mit.edu:sipb-macathena
platforms		darwin

distfiles		

fetch			{ }
checksum		{ }
configure		{ }
build			{ }
destroot		{
	file mkdir ${destroot}${prefix}/share/doc/macathena-standard/
	file copy ${filespath}/README.macathena \
		${destroot}${prefix}/share/doc/macathena-standard/
}

depends_run		port:macathena-moira \
				port:macathena-machtype \
				port:macathena-athrun
